import java.awt.Color;
import java.awt.Graphics;
import java.io.Serializable;


public class Block implements Serializable
{
    public static final int WIDTH = 48;

    public static final int HEIGHT = 48;
    
    protected Color color;
    
    public Block()
    {
        setColor(new Color(255, 255, 255));
    }
    
    public Block(Block originalBlock)
    {
        setColor(originalBlock.getColor());
    }
    
    public void setColor(Color c)
    {
        color = c;
    }
    
    public Color getColor()
    {
        return color;
    }
    
    public Block getCopy()
    {
        return new Block(this);
    }
    
    public boolean isEmpty()
    {
        return true;
    }
    
    public void paint(Graphics g, int x, int y)
    {
        g.setColor(color);
        g.fillRect(x, y, WIDTH, HEIGHT);
    }

    @Override
    public int hashCode()
    {
        return getColor().hashCode();
    }
    
    @Override
    public boolean equals(Object other)
    {
        if(getClass() != other.getClass())
        {
            return false;
        }
        return getColor().equals(((Block)other).getColor());
    }
}
