import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JPanel;

public class MenuPanel extends JPanel implements ActionListener
{
    private JButton btnNewGame = new JButton("New Game");
    private JButton btnLoadGame = new JButton("Load Game");
    private JButton btnHighScore = new JButton("High Scores");
    private ImageIcon bannerImage = new ImageIcon("Banner.png");

    public MenuPanel()
    {
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

        btnNewGame.setFont(SlimeCollection.largeArial);
        btnLoadGame.setFont(SlimeCollection.largeArial);
        btnHighScore.setFont(SlimeCollection.largeArial);

        JPanel pnlTitleScreen = new JPanel() {
            @Override
            protected void paintComponent(Graphics g)
            {
                g.drawImage(bannerImage.getImage(), 0, 0, null);
            }
        };

        pnlTitleScreen.setPreferredSize(new Dimension(getWidth(), 400));
        
        JPanel pnlBot = new JPanel() {
            @Override
            protected void paintComponent(Graphics g)
            {
                g.setColor(new Color(0, 128, 128));
                g.fillRect(0, 0, getWidth(), getHeight());
            }
        };

        add(pnlTitleScreen);
        add(pnlBot);
        
        btnNewGame.addActionListener(this);
        btnLoadGame.addActionListener(this);
        btnHighScore.addActionListener(this);

        pnlBot.add(btnNewGame);
        pnlBot.add(btnLoadGame);
        pnlBot.add(btnHighScore);
    }
    
    public void actionPerformed(ActionEvent e)
    {
        if(e.getSource() == btnNewGame)
        {
            System.out.println("New Game");
            SlimeCollection.switchFrames(this, new SaveFilePanel(SaveFilePanel.MODE_NEW_GAME));
        }
        else if(e.getSource() == btnLoadGame)
        {
            System.out.println("Load Game");
            SlimeCollection.switchFrames(this, new SaveFilePanel(SaveFilePanel.MODE_CONTINUE));
        }
        else if(e.getSource() == btnHighScore)
        {
            System.out.println("High Scores");
            SlimeCollection.switchFrames(this, new HighScorePanel());
        }
    }
}
