import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;

public class PlayerProfile implements Serializable
{
    private static final long serialVersionUID = -1447847039886926289L;
    private int saveFile;
    private int level;
    private int activeLevel;
    private int money;
    private GameMap map;
    private String face;
    private String accessory;
    
    public PlayerProfile(int saveFile)
    {
        setSaveFile(saveFile);
        setLevel(1);
        setActiveLevel(0);
        setMoney(0);
        setMap(null);
        setFace("RegularSmile");
        setAccessory("Bowtie");
    }

    public int getSaveFile()
    {
        return saveFile;
    }
    
    public void setSaveFile(int saveFile)
    {
        this.saveFile = saveFile;
    }
    
    public int getLevel()
    {
        return level;
    }
    
    public void setLevel(int level)
    {
        this.level = level;
    }
    
    public int getActiveLevel()
    {
        return activeLevel;
    }
    
    public void setActiveLevel(int activeLevel)
    {
        this.activeLevel = activeLevel;
    }
    
    public int getMoney()
    {
        return money;
    }
    
    public void setMoney(int money)
    {
        this.money = money;
    }
    
    public GameMap getMap()
    {
        return map;
    }
    
    public void setMap(GameMap map)
    {
        this.map = map;
    }
    
    public String getFace()
    {
        return face;
    }
    
    public void setFace(String face)
    {
        this.face = face;
    }
    
    public String getAccessory()
    {
        return accessory;
    }
    
    public void setAccessory(String accessory)
    {
        this.accessory = accessory;
    }
    
    public static void save(PlayerProfile profile)
    {
        String fileName = "profile" + profile.getSaveFile() + ".sav";
        try
        {
            FileOutputStream fos = new FileOutputStream(fileName);
            ObjectOutputStream oos = new ObjectOutputStream(fos);
    
            oos.writeObject(profile);
    
            oos.close();
        }
        catch(IOException ioe)
        {
            ioe.printStackTrace();
        }
    }

    public static PlayerProfile load(int saveFile)
    {
        String fileName = "profile" + saveFile + ".sav";
        PlayerProfile ret = null;
        try
        {
            FileInputStream fis = new FileInputStream(fileName);
            ObjectInputStream ois = new ObjectInputStream(fis);
    
            ret = (PlayerProfile)ois.readObject();
    
            ois.close();
        }
        catch(IOException ioe)
        {
            ioe.printStackTrace();
        }
        catch(ClassNotFoundException cnfe)
        {
            cnfe.printStackTrace();
        }
        return ret;
    }
}
