import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JPanel;

public class SaveFilePanel extends JPanel implements ActionListener
{
    public static final int N_SAVEFILES = 3;
    public static final int MODE_NEW_GAME = 0;
    public static final int MODE_CONTINUE = 1;
    private int selectMode;
    private JButton[] btnSaveFiles = new JButton[N_SAVEFILES];

    public SaveFilePanel(int selectMode)
    {
        this.selectMode = selectMode;

        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

        JPanel[] pnlSaveFiles = new JPanel[N_SAVEFILES];

        for(int i = 0; i < N_SAVEFILES; i++)
        {
            btnSaveFiles[i] = new JButton("Save file " + (i + 1));
            btnSaveFiles[i].addActionListener(this);

            if(selectMode == SaveFilePanel.MODE_CONTINUE)
            {
                File saveFile = new File("profile" + i + ".sav");
                if(!saveFile.exists() || saveFile.isDirectory())
                {
                    btnSaveFiles[i].setEnabled(false);
                }
            }
            
            pnlSaveFiles[i] = new JPanel();
            pnlSaveFiles[i].setLayout(new BorderLayout());
            pnlSaveFiles[i].add(btnSaveFiles[i], BorderLayout.CENTER);

            pnlSaveFiles[i].add(btnSaveFiles[i]);
            add(pnlSaveFiles[i]);
        }
    }

    public void actionPerformed(ActionEvent e)
    {
        int btnIdx = -1;
        for(int i = 0; i < N_SAVEFILES; i++)
        {
            if(e.getSource() == btnSaveFiles[i])
            {
                btnIdx = i;
                break;
            }
        }
        if(btnIdx != -1)
        {
            System.out.println("Selected " + btnIdx);
            if(selectMode == SaveFilePanel.MODE_NEW_GAME)
            {
                SlimeCollection.switchFrames(this, new LevelSelectPanel(new PlayerProfile(btnIdx), ""));
            }
            else if(selectMode == SaveFilePanel.MODE_CONTINUE)
            {
                SlimeCollection.switchFrames(this, new LevelSelectPanel(PlayerProfile.load(btnIdx), "Welcome back."));
            }
        }
    }
}
