import java.util.*;
import java.io.*;

public class Score
{
    public ScoreName[][] mainList = new ScoreName[10][3];

    private FileWriter fw;
    private PrintWriter outFile;

    private FileReader fr;
    private BufferedReader inFile;

    private File scoreFile = new File("Score.maki");

    public Score()
    {
        for(int i = 0; i < mainList.length; i++)
        {
            for(int x = 0; x < mainList[i].length; x++)
            {
                mainList[i][x] = new ScoreName("-----", 0);
            }
        }
    }

    public String getName(int x, int y)
    {
        return mainList[x - 1][y - 1].s;
    }

    public int getScore(int x, int y)
    {
        return mainList[x - 1][y - 1].i;
    }

    public void createFile()
    {
        try
        {
            fw = new FileWriter(scoreFile);
            outFile = new PrintWriter(fw);
        }
        catch(IOException p)
        {
            System.out.println("The following problem writing to a file occurred:\n" + p);
            System.out.println("0");
        }
    }

    public void loadFile()
    {
        try
        {
            fr = new FileReader(scoreFile);
            inFile = new BufferedReader(fr);
            ObjectInputStream input1 = new ObjectInputStream(new FileInputStream(scoreFile));
            mainList = new ScoreName[10][3];
            mainList = (ScoreName[][])input1.readObject();
            input1.close();
        }

        catch(IOException p)
        {
            System.out.println("The following problem finding a file occurred:\n" + p);
            System.out.println("1");
        }
        catch(ClassNotFoundException c)
        {
            System.out.println("Class not found");
            c.printStackTrace();
        }

    }

    public void renew(int level, String name, int score)
    {
        ScoreName[] checkList = new ScoreName[4];
        ScoreName check = new ScoreName(name, score);
        for(int i = 0; i < mainList[0].length; i++)
        {
            checkList[i] = mainList[level - 1][i];
        }

        checkList[3] = check;
        checkList = SimpleSort(checkList);

        for(int i = 0; i < 3; i++)
        {
            mainList[level - 1][i] = checkList[i];
        }

        try
        {
            FileOutputStream out1 = new FileOutputStream(scoreFile, false);
            ObjectOutputStream fileOut1 = new ObjectOutputStream(out1);
            fileOut1.writeObject(mainList);
            fileOut1.flush();
            fileOut1.close();
        }
        catch(IOException n)
        {
            System.out.println("The following problem writing to a file occurred:\n" + n);
            System.out.println("2");
        }

    }

    private static ScoreName[] SimpleSort(ScoreName[] list)
    {
        ScoreName[] tempList = new ScoreName[list.length];
        ScoreName q = new ScoreName("xxx", -1);
        int index = 0;
        for(int i = 0; i < tempList.length; i++)
        {
            for(int x = 0; x < list.length; x++)
            {
                if(q.i < list[x].i)
                {
                    q = new ScoreName(list[x].s, list[x].i);
                    index = x;
                }
            }
            tempList[i] = q;
            q = new ScoreName("xxx", -1);
            list[index].i = Integer.MIN_VALUE;
        }
        return tempList;
    }
}

class ScoreName implements Serializable
{
    int i;
    String s;

    public ScoreName(String q, int x)
    {
        i = x;
        s = q;
    }
}
