import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;


public class ShopPanel extends JPanel implements ActionListener
{
    private PlayerProfile profile;
    JLabel lblMoney;
    JButton happy = new JButton("Happy ($200)");
    JButton sad = new JButton("Sad ($200)");
    JButton surprised = new JButton("Surprised ($200)");
    JButton bowtie = new JButton("Bowtie ($500)");
    JButton buttons = new JButton("Buttons ($500)");
    JButton exit = new JButton("Exit");
   
    public ShopPanel(PlayerProfile p)
    {
        this.profile = p;
        
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        
        lblMoney = new JLabel("Current money: $" + p.getMoney());
        
        JPanel money = new JPanel();
        
        money.add(lblMoney);
        
        JPanel shop = new JPanel();
        
        shop.setLayout(new GridLayout(2, 3));
        
        happy.setIcon(new ImageIcon("Faces/RegularSmile.png"));
        happy.addActionListener(this);
        shop.add(happy);

        sad.setIcon(new ImageIcon("Faces/SadFace.png"));
        sad.addActionListener(this);
        shop.add(sad);

        surprised.setIcon(new ImageIcon("Faces/SurprisedFace.png"));
        surprised.addActionListener(this);
        shop.add(surprised);

        bowtie.setIcon(new ImageIcon("Accessories/bowtie.png"));
        bowtie.addActionListener(this);
        shop.add(bowtie);

        buttons.setIcon(new ImageIcon("Accessories/buttons.png"));
        buttons.addActionListener(this);
        shop.add(buttons);
        
        exit.setIcon(new ImageIcon("Exit.png"));
        exit.addActionListener(this);
        shop.add(exit);
        
        add(money);
        add(shop);
    }
    
    public void actionPerformed(ActionEvent e)
    {
        if(e.getSource() == happy)
        {
            if(profile.getMoney() >= 200)
            {
                profile.setMoney(profile.getMoney() - 200);
                profile.setFace("RegularSmile");
            }
        }
        
        if(e.getSource() == sad)
        {
            if(profile.getMoney() >= 200)
            {
                profile.setMoney(profile.getMoney() - 200);
                profile.setFace("SadFace");
            }
        }
        
        if(e.getSource() == surprised)
        {
            if(profile.getMoney() >= 200)
            {
                profile.setMoney(profile.getMoney() - 200);
                profile.setFace("SurprisedFace");
            }
        }

        if(e.getSource() == bowtie)
        {
            if(profile.getMoney() >= 500)
            {
                profile.setMoney(profile.getMoney() - 500);
                profile.setAccessory("Bowtie");
            }
        }

        if(e.getSource() == buttons)
        {
            if(profile.getMoney() >= 500)
            {
                profile.setMoney(profile.getMoney() - 500);
                profile.setAccessory("Buttons");
            }
        }

        PlayerProfile.save(profile);

        if(e.getSource() == exit)
        {
            SlimeCollection.switchFrames(this, new LevelSelectPanel(profile, ""));
        }
        
        lblMoney.setText("Current money: $" + profile.getMoney());
    }
}
