import java.awt.Color;
import java.awt.Graphics;
import javax.swing.ImageIcon;


public class Slime extends Block
{
    private int type;

    private boolean anchored;

    private int number;

    public Slime(int type, boolean anchored, Color color)
    {
        setType(type);
        setAnchored(anchored);
        setColor(color);
    }

    public Slime(Slime originalSlime)
    {
        setType(originalSlime.getType());
        setAnchored(originalSlime.getAnchored());
        setColor(originalSlime.getColor());
    }

    public void setType(int type)
    {
        this.type = type;
    }

    public int getType()
    {
        return this.type;
    }

    public void setAnchored(boolean anchored)
    {
        this.anchored = anchored;
    }

    public boolean getAnchored()
    {
        return this.anchored;
    }

    public boolean isEmpty()
    {
        return false;
    }

    public Slime getCopy()
    {
        return new Slime(this);
    }

    @Override
    public int hashCode()
    {
        int num = 0;
        if(getAnchored())
        {
            num = 1;
        }
        return (getColor().hashCode() * 1337 + getType()) * 2 + num;
    }

    @Override
    public boolean equals(Object other)
    {
        if(getClass() != other.getClass())
        {
            return false;
        }
        Slime otherSlime = (Slime)other;
        return getType() == otherSlime.getType() &&
                getAnchored() == otherSlime.getAnchored() &&
                getColor().equals(otherSlime.getColor());
    }

    public void paint(Graphics g, int x, int y)
    {
        if(getAnchored())
        {
            g.drawImage((new ImageIcon("Anchor.png")).getImage(), x, y, null);
        }
    }
}
