import java.awt.Dimension;
import java.awt.Font;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

public class SlimeCollection extends JFrame
{
    public static final Dimension FRAME_SIZE = new Dimension(645, 480);
    public static final Font largeArial = new Font("Arial", Font.PLAIN, 20);

    public SlimeCollection()
    {
        setTitle("Slime Collection");
        setSize(FRAME_SIZE);
        setResizable(false);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLocationRelativeTo(null);

        add(new MenuPanel());
    }

    public static void switchFrames(JPanel oldPanel, JPanel newPanel)
    {
        JFrame parentFrame = (JFrame)SwingUtilities.getWindowAncestor(oldPanel);
        parentFrame.remove(oldPanel);
        parentFrame.add(newPanel);
        parentFrame.revalidate();
    }
    
    public static void main(String[] args)
    {
        try
        {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }
        new SlimeCollection().setVisible(true);
    }
}
